import _extends from "@babel/runtime/helpers/extends";
// Copyright 1999-2019. Plesk International GmbH. All rights reserved.
import React from 'react';
import classNames from 'classnames';
import { CLS_PREFIX } from '../../constants';

/**
 * `Spinner` component.
 */
const Spinner = ({
  baseClassName = "".concat(CLS_PREFIX, "spinner"),
  className,
  ...props
}) => /*#__PURE__*/React.createElement("svg", _extends({
  className: classNames(baseClassName, className)
}, props, {
  viewBox: "0 0 48 48",
  xmlns: "http://www.w3.org/2000/svg"
}), /*#__PURE__*/React.createElement("circle", {
  className: "".concat(baseClassName, "__path"),
  fill: "none",
  strokeWidth: "6",
  strokeLinecap: "round",
  cx: "24",
  cy: "24",
  r: "21"
}));

export default Spinner;